Bug 523987 - (CVE-2009-3241) CVE-2009-3241 Wireshark: DoS (excessive CPU use) in OPCUA dissector
CVE-2009-3241 Wireshark: DoS (excessive CPU use) in OPCUA dissector
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
https://bugs.wireshark.org/bugzilla/s...
impact=low,source=internet,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-17 10:01 EDT by Jan Lieskovsky
Modified: 2010-06-25 05:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-25 05:48:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-09-17 10:01:59 EDT
A denial of service flaw was found in Wireshark's OPC Unified Architecture 
(OPCUA) dissector. Decoding a specially-crafted OPCUA PCAP capture file in 
Wireshark would lead to excessive CPU use.

References:
-----------
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3986
http://www.wireshark.org/security/wnpa-sec-2009-05.html

Reproducer:
-----------

 1. Load the pcap file
 2. Open "Decode as ..." dialog, select Transport destination(12001)
    as "opcua", and press OK
 3. Wireshark gets freezed (see top output) at the dialog for about
    2 minutes, and then show the packets as OpcUa.

Upstream patch:
---------------
http://anonsvn.wireshark.org/viewvc?view=rev&revision=29813

Credit:
-------
vieuxtech
Comment 1 Jan Lieskovsky 2009-09-17 10:04:23 EDT
This issue does NOT affect the versions of wireshark package, as shipped
with Red Hat Enterprise Linux 3, 4, or 5.

This issue affects latest versions of Wireshark package, as shipped 
with Fedora releases of 10 and 11 (wireshark-1.2.1-1.fc10 and wireshark-1.2.1-1.fc11).
Comment 2 Jan Lieskovsky 2009-09-18 06:50:39 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-3241 to
the following vulnerability:

Unspecified vulnerability in the OpcUa (OPC UA) dissector in Wireshark
0.99.6 through 1.0.8 and 1.2.0 through 1.2.1 allows remote attackers
to cause a denial of service (memory and CPU consumption) via
malformed OPCUA Service CallRequest packets.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3241
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3986
http://www.wireshark.org/security/wnpa-sec-2009-05.html
http://www.wireshark.org/security/wnpa-sec-2009-06.html
http://www.securityfocus.com/bid/36408
http://secunia.com/advisories/36754
Comment 3 Fedora Update System 2009-11-04 07:02:37 EST
wireshark-1.2.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.